Установка SAGA 2.1.0 в Linux

Вопросы и ответы по ГИС SAGA
Ответить
Донецков
Гуру
Сообщения: 3051
Зарегистрирован: 19 май 2010, 19:44
Репутация: 188

Установка SAGA 2.1.0 в Linux

Сообщение Донецков » 29 сен 2013, 21:35

Подскажите репозиторий или deb файл с последней версией 2.1.0, т.к. по умолчанию ставится 2.0.7...

Аватара пользователя
Пётр Дубоделов
Завсегдатай
Сообщения: 271
Зарегистрирован: 21 апр 2009, 13:58
Репутация: 12
Откуда: Бурашево
Контактная информация:

Re: Установка SAGA 2.1.0 в Linux

Сообщение Пётр Дубоделов » 29 сен 2013, 21:47

а какой линукс у Вас? по-видимому debian7?
в unstable ubuntugis еще пока 2.0.8
ppa:johanvdw/saga-gis - ваш 2.1.0 deb
"Если карта не соответствует местности, доверяй местности."

Донецков
Гуру
Сообщения: 3051
Зарегистрирован: 19 май 2010, 19:44
Репутация: 188

Re: Установка SAGA 2.1.0 в Linux

Сообщение Донецков » 29 сен 2013, 21:55

Репозиторий похоже нашел тут и тут
после ввода:

Код: Выделить всё

sudo add-apt-repository ppa:johanvdw/saga-gis
sudo apt-get update
sudo apt-get install saga
SAGA 2.1.0 установилась, но при запуске появляется таблица с ошибкой.
Как понимаю ей не нравится русская "локаль"... Можно ли это победить. не переходя на британскую "локаль"...
или есть другой путь установки?
Вложения
saga.png
saga.png (22.17 КБ) 3276 просмотров

Аватара пользователя
Пётр Дубоделов
Завсегдатай
Сообщения: 271
Зарегистрирован: 21 апр 2009, 13:58
Репутация: 12
Откуда: Бурашево
Контактная информация:

Re: Установка SAGA 2.1.0 в Linux

Сообщение Пётр Дубоделов » 29 сен 2013, 22:42

логика подсказывает, что можно попробовать поставить в систему дополнительную локаль или как-то так. к сожалению, линукса под рукой нет, проверить нет возможности
"Если карта не соответствует местности, доверяй местности."

Донецков
Гуру
Сообщения: 3051
Зарегистрирован: 19 май 2010, 19:44
Репутация: 188

Re: Установка SAGA 2.1.0 в Linux

Сообщение Донецков » 29 сен 2013, 22:56

Да уж, лучшее враг хорошего...
удалил 2.1.0 поставил 2.0.8 ошибка пропала...
да и в QSIS в модуле Анализ (Sextant), 2.1 не подхватывалась, а 2.0.8 сразу стала видна...
в этом смысле под Windows оказалось проще, скачал дистрибутив и заменил им установленный с QGIS и получаем 2.1 вместо 2.0.8...
Последний раз редактировалось Донецков 29 сен 2013, 23:24, всего редактировалось 1 раз.

Александр Мурый
Гуру
Сообщения: 5106
Зарегистрирован: 26 сен 2009, 16:26
Статьи: 3
Проекты: 5/1
Репутация: 746
Ваше звание: званий не имею
Откуда: Москва

Re: Установка SAGA 2.1.0 в Linux

Сообщение Александр Мурый » 29 сен 2013, 23:09

У меня на Дебиане в самособранной SAGA 2.1 тоже возникла эта ошибка с локалью. Решилось простой установкой пакета locales-all. Хотя генерация нужной локали (ссылки на "хауту" уже подсказал Пётр) и запуск SAGA именно с этой локалью, по идее, тоже должны помочь.
Редактор материалов, модератор форума

Ответить

Вернуться в «SAGA»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость